Getnet DocsGetnet Docs

Upload de imagem de produto

POST/payment-links/products/images

Upload a product image. Accepted formats: image/png, image/jpeg. Maximum size: 250 MB.

Header Parameters

Authorizationstringrequired

Bearer Token (JWT). x-seller-id, country, and tenant are extracted from the token.

Body multipart/form-data

filestring<binary>required

Image file (image/png or image/jpeg, max 250 MB)

Response

Image uploaded successfully

image_idstring<uuid>
original_namestring
mime_type"image/png" | "image/jpeg"
upload_atstring<date-time>

Bad request - validation error

error_codestring
messagestring
detailsobject[]
Show details properties
messagestring
pathstring
status_codeinteger

Unprocessable entity

error_codestring
messagestring
status_codeinteger

Internal server error

error_codestring
messagestring
status_codeinteger
Request
curl -X POST "https://api-sbx.pre.globalgetnet.com/dpy/payment-link/v1/payment-links/products/images" \
  -H "Content-Type: multipart/form-data" \
  -H "Authorization: <Authorization>" \
  -d '{
  "file": "string"
}'
Response
{
  "image_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "original_name": "product-photo.png",
  "mime_type": "image/png",
  "upload_at": "2026-03-27T12:00:00Z"
}